DomainClassGrailsPlugin (Grails 6.0.0)

Package: org.grails.plugins.domain

## [Groovy] Class DomainClassGrailsPlugin

- org.grails.plugins.domain.DomainClassGrailsPlugin

-     class DomainClassGrailsPlugin
      extends Plugin

  Configures the domain classes in the spring context.

  Authors:
    Graeme Rocher
  Since:
    0.4

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Object` | `dependsOn` |
    `private java.lang.Object` | `loadAfter` |
    `private java.lang.Object` | `version` |
    `private java.lang.Object` | `watchedResources` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Plugin` | `applicationContext, artefacts, enabled, environment, grailsApplication, plugin, pluginManager`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `dependsOn`
    `java.lang.Object` | `loadAfter`
    `java.lang.Object` | `version`
    `java.lang.Object` | `watchedResources`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DomainClassGrailsPlugin ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovy.lang.Closure` | `doWithSpring()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`

- - ### Field Detail

    - #### private java.lang.Object dependsOn

    - #### private java.lang.Object loadAfter

    - #### private java.lang.Object version

    - #### private java.lang.Object watchedResources

  - ### Property Detail

    - #### java.lang.Object dependsOn

    - #### java.lang.Object loadAfter

    - #### java.lang.Object version

    - #### java.lang.Object watchedResources

  - ### Constructor Detail

    - #### DomainClassGrailsPlugin()

  - ### Method Detail

    - #### groovy.lang.Closure doWithSpring()